#-*-coding:utf-8-*-

from twisted.python import log
from twisted.internet import reactor
from twisted.python.failure import Failure

from ldaptor.protocols.ldap.ldapconnector import LDAPClientCreator
from ldaptor.protocols.ldap.ldapclient import LDAPClient

def unbind_proto(result, proto):
    """
        Unbind an authenticated prototype
    """
    try:
        proto.unbind()
    except:
        log.err('Error trying to unbind LDAP connector (already disconnected ?)')
        pass
    return result

def make_ldapconnector():
    """
        Build ldap connection
    """
    return LDAPClientCreator(reactor, LDAPClient)

